function battle_jai007(npcID) --妖树

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	
	m=flag.GetBattleValue(12956)
    local x=flag.GetBattleValue(12964)
	if x==0 then
		x=1
	end
	
	if m~=4 then
		m=m+1
		flag.SetBattleValue(12956,m)
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			battle.SetDamageScale(x)
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		elseif a>=5 and a<=7 then
			x=x*100
			battle.SetSkillScale(x)
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1213,1)   --单体法术
		else
			x=x*100
			battle.SetSkillScale(x)
			battle.MagicToPlayer(0,1214,1)   --全体法术
		end

	else
		flag.SetBattleValue(12956,0)
		battle.MagicToNpc(npcID,1215,1)   --自体法术
	end
end